#!/bin/sh
#/etc/init.d/runhostapd

### BEGIN INIT INFO
# Provides: 		runhostapd
# Required-Start:	$remote_fs $syslog
# Required-Stop:	$remote_fs $syslog
# Default-Start:	2 3 4 5
# Default-Stop:		0 1 6
# Short-Decription:	Starts hostapd with hostaps.conf as daemon.
### END INIT INFO


#Carry out specific functions when asked to by the system
case "$1" in
  start)
    echo "Starting HOSTAPD"
    sudo hostapd -B /etc/hostapd/hostapd.conf
    sudo /etc/init.d/isc-dhcp-server restart
    ;;
  stop)
    echo "Stopping HOSTAPD"
    sudo hostapd stop
    ;;
  *)
    echo "Usage: /etc/init.d/hostapd {start|stop}"
    exit 1
    ;;
esac

exit 0


